Up

# NSPrintInfo

### Authors

Simon Frankau (`sgf@frankau.demon.co.uk`)
Adam Fedor (`fedor@gnu.org`)
Chad Hardin (`cehardin@mac.com`)

> Stores information used in printing.

Copyright: (C) 1996,1997,2004 Free Software Foundation, Inc.

# Class Description

NSPrintInfo is a storage object that stores information that describes how a view is to printed and the destination information for printing.

## NSPrintInfo : NSObject

> Declared in:
>   AppKit/NSPrintInfo.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +defaultPrinter
- +setDefaultPrinter:
- +setSharedPrintInfo:
- +sharedPrintInfo
- +sizeForPaperName:
- -bottomMargin
- -dictionary
- -horizontalPagination
- -imageablePageBounds
- -initWithDictionary:
- -isHorizontallyCentered
- -isVerticallyCentered
- -jobDisposition
- -leftMargin
- -localizedPaperName
- -orientation
- -paperName
- -paperSize
- -printer
- -rightMargin
- -setBottomMargin:
- -setHorizontalPagination:
- -setHorizontallyCentered:
- -setJobDisposition:
- -setLeftMargin:
- -setOrientation:
- -setPaperName:
- -setPaperSize:
- -setPrinter:
- -setRightMargin:
- -setTopMargin:
- -setUpPrintOperationDefaultValues
- -setVerticalPagination:
- -setVerticallyCentered:
- -topMargin
- -verticalPagination

### defaultPrinter

+ (NSPrinter*) defaultPrinter;
Availability: OpenStep
Description forthcoming.

### setDefaultPrinter:

+ (void) setDefaultPrinter: (NSPrinter*)printer;
Availability: OpenStep
Description forthcoming.

### setSharedPrintInfo:

+ (void) setSharedPrintInfo: (NSPrintInfo*)printInfo;
Availability: OpenStep
Description forthcoming.

### sharedPrintInfo

+ (NSPrintInfo*) sharedPrintInfo;
Availability: OpenStep
Description forthcoming.

### sizeForPaperName:

+ (NSSize) sizeForPaperName: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### bottomMargin

- (float) bottomMargin;
Availability: OpenStep
Description forthcoming.

### dictionary

- (NSMutableDictionary*) dictionary;
Availability: OpenStep
Description forthcoming.

### horizontalPagination

- (NSPrintingPaginationMode) horizontalPagination;
Availability: OpenStep
Description forthcoming.

### imageablePageBounds

- (NSRect) imageablePageBounds;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### initWithDictionary:

- (id) initWithDictionary: (NSDictionary*)aDict;
Availability: OpenStep
Description forthcoming.

### isHorizontallyCentered

- (BOOL) isHorizontallyCentered;
Availability: OpenStep
Description forthcoming.

### isVerticallyCentered

- (BOOL) isVerticallyCentered;
Availability: OpenStep
Description forthcoming.

### jobDisposition

- (NSString*) jobDisposition;
Availability: OpenStep
Description forthcoming.

### leftMargin

- (float) leftMargin;
Availability: OpenStep
Description forthcoming.

### localizedPaperName

- (NSString*) localizedPaperName;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### orientation

- (NSPrintingOrientation) orientation;
Availability: OpenStep
Description forthcoming.

### paperName

- (NSString*) paperName;
Availability: OpenStep
Description forthcoming.

### paperSize

- (NSSize) paperSize;
Availability: OpenStep
Description forthcoming.

### printer

- (NSPrinter*) printer;
Availability: OpenStep
Description forthcoming.

### rightMargin

- (float) rightMargin;
Availability: OpenStep
Description forthcoming.

### setBottomMargin:

- (void) setBottomMargin: (float)value;
Availability: OpenStep
Description forthcoming.

### setHorizontalPagination:

- (void) setHorizontalPagination: (NSPrintingPaginationMode)mode;
Availability: OpenStep
Description forthcoming.

### setHorizontallyCentered:

- (void) setHorizontallyCentered: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setJobDisposition:

- (void) setJobDisposition: (NSString*)disposition;
Availability: OpenStep
Description forthcoming.

### setLeftMargin:

- (void) setLeftMargin: (float)value;
Availability: OpenStep
Description forthcoming.

### setOrientation:

- (void) setOrientation: (NSPrintingOrientation)mode;
Availability: OpenStep
Description forthcoming.

### setPaperName:

- (void) setPaperName: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### setPaperSize:

- (void) setPaperSize: (NSSize)size;
Availability: OpenStep
Description forthcoming.

### setPrinter:

- (void) setPrinter: (NSPrinter*)aPrinter;
Availability: OpenStep
Description forthcoming.

### setRightMargin:

- (void) setRightMargin: (float)value;
Availability: OpenStep
Description forthcoming.

### setTopMargin:

- (void) setTopMargin: (float)value;
Availability: OpenStep
Description forthcoming.

### setUpPrintOperationDefaultValues

- (void) setUpPrintOperationDefaultValues;
Availability: OpenStep
Description forthcoming.

### setVerticalPagination:

- (void) setVerticalPagination: (NSPrintingPaginationMode)mode;
Availability: OpenStep
Description forthcoming.

### setVerticallyCentered:

- (void) setVerticallyCentered: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### topMargin

- (float) topMargin;
Availability: OpenStep
Description forthcoming.

### verticalPagination

- (NSPrintingPaginationMode) verticalPagination;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSPrintInfo Class

### _info

@protected NSMutableDictionary* _info;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up